/* ******************************************************************

   class    : Const
   date     : Sep 22 1998
   compiler : javac (1.1.6)

******************************************************************* */

package MenuPreview;

/* ******************************************************************
   import statements
******************************************************************* */

/**
 * Constants for the menu preview package.
 *
 * @author puehringer edgar
 */
public class Const {

  // class variable declarations
  /**
   * Suffix applied to the key used in resource file
   * lookups for an image.
   */
  public static final String IMAGE_SUFFIX = "Image";

  /**
   * Suffix applied to the key used in resource file
   * lookups for a label.
   */
  public static final String LABEL_SUFFIX = "Label";

  /**
   * Suffix applied to the key used in resource file
   * lookups for a accelerator.
   */
  public static final String ACCEL_SUFFIX = "Accel";

  /**
   * Suffix applied to the key used in resource file
   * lookups for an action.
   */
  public static final String ACTION_SUFFIX = "Action";

  /**
   * Suffix applied to the key used in resource file
   * lookups for the type of a menu item.
   */
  public static final String TYPE_SUFFIX = "Type";

  /**
   * Suffix applied to the key used in resource file
   * lookups for a tooltip.
   */
  public static final String TOOLTIP_SUFFIX = "Tooltip";

  /** Type identifier of a menu item. */
  public static final String TYPE_ITEM = "menuitem";

  /** Type identifier of a submenu. */
  public static final String TYPE_MENU = "menu";

  /** Type identifier of a checkbox menu item. */
  public static final String TYPE_CHECKBOX = "checkbox";

  /** The escape character to identify a mnemonic in a label. */
  public static final char MNEMONIC_ESCAPE = '&';

   /** The distance between separated toolbar components. */
   public static final int STRUT_SIZE = 5;

   /** The blanks for the label between separated AWT toolbar components. */
   public static final String STRUT_BLANKS = " ";

} // end Const

/* ******************************************************************
   end of file
******************************************************************* */
