/* ******************************************************************

   class    : DeleteFileMessage
   date     : 13.01.99
   compiler : javac (jdk 1.1.6)

*********************************************************************/

package Messages;

/* ******************************************************************
   import statements
*********************************************************************/

import java.io.File;

/**
 * A message that invokes the deletion of a file from the project file
 * list.
 *
 * @author puehringer edgar
 */
public class DeleteFileMessage extends Message {

  // constructors
  /** Create a new DeleteFileMessage object. */
  public DeleteFileMessage(File file) {
    super(file.getAbsolutePath());
  } // end constructor DeleteFileMessage

  // methods
  /** Get the file to delete from the project file list. */
  public File getFile() {
    return new File(getDescription());
  } // end getFile

} // end DeleteFileMessage

/* ******************************************************************
   end of file
*********************************************************************/
