/* ******************************************************************

   class    : Message
   date     : 24.08.98
   compiler : javac (jdk 1.1.6)

*********************************************************************/

package Messages;

/* ******************************************************************
   import statements
*********************************************************************/

/**
 * A abstract baseclass for tool messages.
 *
 * @author puehringer edgar
 */
public abstract class Message {

  // class variable declarations
  /** A constant representing low priority. */
  public final static int LOW = -1;
  /** A constant representing medium priority. */
  public final static int NORMAL = 0;
  /** A constant representing high priority. */
  public final static int HIGH = 1;

  // instance variable declarations
  /** A text that describes the message. */
  public String text;
  /** The priority of this message. */
  public int priority;

  // constructors
  /** Create a new Message object. */
  public Message(String text) {
    this.text = text;
    priority  = NORMAL;
  } // end constructor Message

  /** Create a new Message object. */
  public Message(String text, int priority) {
    this.text     = text;
    this.priority = priority;
  } // end constructor Message

  // methods
  /** Returns a description of this message. */
  public String getDescription() {
    return text;
  } // end getDescription

  /** Returns the priority level. */
  public int getPriority() {
    return priority;
  } // end getPriority

} // end Message

/* ******************************************************************
   end of file
*********************************************************************/
