/* ******************************************************************

   class    : ProgressMessage
   date     : 24.08.98
   compiler : javac (jdk 1.1.6)

*********************************************************************/

package Messages;

/* ******************************************************************
   import statements
*********************************************************************/

import java.io.File;

/**
 * A message that updates a progress bar.
 *
 * @author puehringer edgar
 */
public class ProgressMessage extends Message {

  // instance variable declarations
  /** The file that is processed this time. */
  public File file;
  /** The current value of the progress bar. */
  public int cur;
  /** The maximum value of the progress bar. */
  public int max;

  // constructors
  /** Create a new ProgressMessage object. */
  public ProgressMessage(String text, int cur, int max) {
    this(text,null,cur,max,NORMAL);
  } // end constructor ProgressMessage

  /** Create a new ProgressMessage object. */
  public ProgressMessage(String text, int cur, int max, int priority) {
    this(text,null,cur,max,priority);
  } // end constructor ProgressMessage

  /** Create a new ProgressMessage object. */
  public ProgressMessage(String text, File file, int cur, int max) {
    this(text,file,cur,max,NORMAL);
  } // end constructor ProgressMessage

  /** Create a new ProgressMessage object. */
  public ProgressMessage(String text, File file, int cur, int max,
                         int priority) {
    super(text,priority);
    this.file = file;
    this.cur  = cur;
    this.max  = max;
  } // end constructor ProgressMessage

  // methods
  /** Returns a description of this message. */
  public String getDescription() {
    if (file == null) return text;
      else return text + " \"" + file + "\"";
  } // end getDescription

} // end ProgressMessage

/* ******************************************************************
   end of file
*********************************************************************/
