/* ******************************************************************

   class    : TerminateMessage
   date     : 24.08.98
   compiler : javac (jdk 1.1.6)

*********************************************************************/

package Messages;

/* ******************************************************************
   import statements
*********************************************************************/

/**
 * A message that indicates the termination of a tool.
 *
 * @author puehringer edgar
 */
public class TerminateMessage extends Message {

  // instance variable declarations
  /** True if the tool terminated successfully. */
  public boolean success;

  // constructors
  /** Create a new TerminateMessage object. */
  public TerminateMessage(boolean success) {
    super("Terminate");
    this.success = success;
  } // end constructor TerminateMessage

  // methods
  /** Returns a description of this message. */
  public String getDescription() {
    if (success) return text + "d with no errors";
      else return text + "d with errors";
  } // end getDescription

} // end TerminateMessage

/* ******************************************************************
   end of file
*********************************************************************/
