// project: SID - Structured Interactive Documentation
// author : Dipl.Ing. Stefan Chiettini

package SID.Meta;

import java.io.*;
import java.net.*;
import SID.Utils.*;

public abstract class DocumentedItem extends NamedItem{

	public String documentation;	// path to the documentation
	
	public DocumentedItem(){
		super();
		documentation = null;
	}

	public DocumentedItem(String name){
		super(name);
	}

	public void load(DataInputStream in) throws IOException{
		super.load(in);
		documentation = tool.readString(in);
	}

	public void store(DataOutputStream out) throws IOException{
		super.store(out);
		if (documentation != null)
			tool.writeString(documentation, out);
		else
			tool.writeString("", out);
	}

	public URL getDocumentationURL(){
		URL u = null;
		try{
			u = new URL(documentation);
		}
		catch(MalformedURLException e){ }
		finally{
			return u;
		}
	}

	public abstract boolean isPublic();
	public abstract boolean isPrivate();
	public abstract boolean isProtected();
}