// project: SID - Structured Interactive Documentation
// author : Dipl.Ing. Stefan Chiettini

package SID.Meta;

import java.io.*;
import java.net.*;
import SID.Utils.*;

public abstract class NamedItem{

	public String name;
	
	public String fileName;			// path to the source file
	public int position;			// position in the source file
	
	public NamedItem(){	name = ""; fileName = ""; position = 0; }

	public NamedItem(String name){ this.name = name; fileName = ""; position = 0; }

	public String toString(){ return name; }
	public abstract String toLongString();

	public void load(DataInputStream in) throws IOException{
		name = tool.readString(in);
		fileName = tool.readString(in);
		position = in.readInt();
	}

	public void store(DataOutputStream out) throws IOException{
		tool.writeString(name, out);
		tool.writeString(fileName, out);
		out.writeInt(position);
	}
}