// project: SID - Structured Interactive Documentation
// author : Dipl.Ing. Stefan Chiettini

package SID.Parser;

public class ErrorStream {

	public int count;	// number of errors detected
	
	ErrorStream() {
		count = 0;
	}
	
	void ParsErr(int n, int line, int col) {
		String s;
		count++;
		System.out.print("-- line " + line + " col " + col + ": ");
		switch (n) {
			case 0: {s = "EOF expected"; break;}
			case 1: {s = "ident expected"; break;}
			case 2: {s = "integer expected"; break;}
			case 3: {s = "float expected"; break;}
			case 4: {s = "char expected"; break;}
			case 5: {s = "string expected"; break;}
			case 6: {s = "'package' expected"; break;}
			case 7: {s = "';' expected"; break;}
			case 8: {s = "'import' expected"; break;}
			case 9: {s = "'.' expected"; break;}
			case 10: {s = "'*' expected"; break;}
			case 11: {s = "'public' expected"; break;}
			case 12: {s = "'protected' expected"; break;}
			case 13: {s = "'private' expected"; break;}
			case 14: {s = "'static' expected"; break;}
			case 15: {s = "'abstract' expected"; break;}
			case 16: {s = "'final' expected"; break;}
			case 17: {s = "'native' expected"; break;}
			case 18: {s = "'synchronized' expected"; break;}
			case 19: {s = "'transient' expected"; break;}
			case 20: {s = "'volatile' expected"; break;}
			case 21: {s = "'class' expected"; break;}
			case 22: {s = "'extends' expected"; break;}
			case 23: {s = "'implements' expected"; break;}
			case 24: {s = "',' expected"; break;}
			case 25: {s = "'{' expected"; break;}
			case 26: {s = "'}' expected"; break;}
			case 27: {s = "'interface' expected"; break;}
			case 28: {s = "'[' expected"; break;}
			case 29: {s = "']' expected"; break;}
			case 30: {s = "'void' expected"; break;}
			case 31: {s = "'(' expected"; break;}
			case 32: {s = "')' expected"; break;}
			case 33: {s = "'throws' expected"; break;}
			case 34: {s = "'=' expected"; break;}
			case 35: {s = "'boolean' expected"; break;}
			case 36: {s = "'byte' expected"; break;}
			case 37: {s = "'short' expected"; break;}
			case 38: {s = "'int' expected"; break;}
			case 39: {s = "'long' expected"; break;}
			case 40: {s = "'char' expected"; break;}
			case 41: {s = "'float' expected"; break;}
			case 42: {s = "'double' expected"; break;}
			case 43: {s = "'?' expected"; break;}
			case 44: {s = "':' expected"; break;}
			case 45: {s = "'||' expected"; break;}
			case 46: {s = "'&&' expected"; break;}
			case 47: {s = "'|' expected"; break;}
			case 48: {s = "'^' expected"; break;}
			case 49: {s = "'&' expected"; break;}
			case 50: {s = "'==' expected"; break;}
			case 51: {s = "'!=' expected"; break;}
			case 52: {s = "'<' expected"; break;}
			case 53: {s = "'>' expected"; break;}
			case 54: {s = "'<=' expected"; break;}
			case 55: {s = "'>=' expected"; break;}
			case 56: {s = "'instanceof' expected"; break;}
			case 57: {s = "'>>' expected"; break;}
			case 58: {s = "'<<' expected"; break;}
			case 59: {s = "'>>>' expected"; break;}
			case 60: {s = "'+' expected"; break;}
			case 61: {s = "'-' expected"; break;}
			case 62: {s = "'/' expected"; break;}
			case 63: {s = "'%' expected"; break;}
			case 64: {s = "'++' expected"; break;}
			case 65: {s = "'--' expected"; break;}
			case 66: {s = "'~' expected"; break;}
			case 67: {s = "'!' expected"; break;}
			case 68: {s = "'true' expected"; break;}
			case 69: {s = "'false' expected"; break;}
			case 70: {s = "'null' expected"; break;}
			case 71: {s = "'this' expected"; break;}
			case 72: {s = "'super' expected"; break;}
			case 73: {s = "'new' expected"; break;}
			case 74: {s = "'*=' expected"; break;}
			case 75: {s = "'/+=' expected"; break;}
			case 76: {s = "'%=' expected"; break;}
			case 77: {s = "'+=' expected"; break;}
			case 78: {s = "'-=' expected"; break;}
			case 79: {s = "'<<=' expected"; break;}
			case 80: {s = "'>>=' expected"; break;}
			case 81: {s = "'>>>=' expected"; break;}
			case 82: {s = "'&=' expected"; break;}
			case 83: {s = "'^=' expected"; break;}
			case 84: {s = "'|=' expected"; break;}
			case 85: {s = "??? expected"; break;}
			case 86: {s = "invalid Primary"; break;}
			case 87: {s = "invalid Primary"; break;}
			case 88: {s = "invalid Primary"; break;}
			case 89: {s = "invalid UnaryExpr0"; break;}
			case 90: {s = "invalid AssignOp"; break;}
			case 91: {s = "invalid VarInitializer"; break;}
			case 92: {s = "invalid Type"; break;}
			case 93: {s = "invalid MethodRest"; break;}
			case 94: {s = "invalid PrimitiveType"; break;}
			case 95: {s = "invalid Decl"; break;}
			case 96: {s = "invalid Decl"; break;}
			case 97: {s = "invalid ClassDecl"; break;}
			case 98: {s = "invalid J"; break;}
			case 99: {s = "invalid J"; break;}

			default: s = "error " + n;
		}
		System.out.println(s);
	}
	
	void SemErr(int n, int line, int col) {
		count++;
		System.out.print("-- line " + line + " col " + col + ": ");
	}
	
	void Exception (String s) {
		System.out.println(s); System.exit(0);
	}
	
}
