/* ******************************************************************

   class    : SelRunAction
   date     : 22.08.98
   compiler : javac (jdk 1.1.6)

*********************************************************************/

/* ******************************************************************
   import statements
*********************************************************************/

import java.awt.Frame;
import java.awt.event.ActionEvent;

/**
 * Select and run a executable file.  All source files, that have
 * been changed will be compiled before.
 *
 * @author puehringer edgar
 */
class SelRunAction extends RunAction {

  // class variable declarations
  private static final String SELRUN_ACTION = "selected-run";

  // constructors
  SelRunAction(Frame frame, AbstractCompiler compiler,
               AbstractLinker linker, AbstractExecute execute) {
    super(SELRUN_ACTION,frame,compiler,linker,execute);
    setEnabled((execute != null) && execute.hasSelectedExecute());
  } // end constructor SelRunAction

  // methods
  /** Set the execute command invoked by this action. */
  public void setExecute(AbstractExecute e) {
    super.setExecute(e);
    super.setEnabled((execute != null) && execute.hasSelectedExecute());
  } // end setExecute

  /** Perform the execute command. */
  protected void performExecute() {
    execute.selectedExecute(frame);
  } // end performExecute

} // end SelRunAction

/* ******************************************************************
   end of file
*********************************************************************/
