/* ******************************************************************

   class    : InputRedirector
   date     : Sep 07 1999
   compiler : javac (1.2)

******************************************************************* */

package SysExt;

/* ******************************************************************
   import statements
******************************************************************* */

import java.io.*;

/**
 * This class redirects the input stream to the standard input stream.
 *
 * @author puehringer edgar
 */
public class InputRedirector implements Runnable {

  // instance variable declarations
  private InputStream is;
  private OutputStream os;

  // constructors
  /** Create a new InputRedirector object. */
  public InputRedirector(Process proc) {
    os = proc.getOutputStream();
    is = System.in;
    (new Thread(this)).start();
  } // end constructor InputRedirector

  // methods
  //---- Runnable ---------------------------------------------------
  public void run() {
    int i;
    boolean b = false;

    try {
      while ((i = is.read()) != -1) {
        b = false;
        os.write(i);
        b = true;
        os.flush();
      } // end while
    } catch (IOException excep) {
      // this is a hack to prevent the following exception:
      // java.io.IOException: Pipe wird gerade geschlossen
      if (!b) excep.printStackTrace();
    } finally {
      if (os != null) try { os.close(); } catch (IOException e) {}
    }
  } // end run

} // end InputRedirector

/* ******************************************************************
   end of file
******************************************************************* */
