/* ******************************************************************

   class    : HelloMain
   date     : Nov 29 1998
   compiler : javac (1.1.6)

******************************************************************* */

/* ******************************************************************
   import statements
******************************************************************* */

import java.awt.*;
import java.awt.event.*;
import java.util.*;

/**
 * The HelloMain class.
 *
 * @author puehringer edgar
 */
public class HelloMain implements ActionListener {

  // class variable declarations

  // instance variable declarations

  // constructors
  /** Create a new HelloMain object. */
  public HelloMain() {
  } // end constructor HelloMain

  // class methods
  public static void main(String[] args) {
    java.applet.Applet applet = new HelloW();
    Frame frame               = new Frame("HelloMain");

    ((HelloW)applet).inApplet = false;
    applet.init();  applet.start();
    loadGUI(frame);
    frame.add("Center",applet);
    frame.addWindowListener(new WindowAdapter() {
        public void windowClosing(WindowEvent e) {
          System.exit(0);
        } // end windowClosing
      }
    );
    frame.pack();  frame.show();
  } // end main

  protected static void loadGUI(Frame frame) {
    ResourceBundle resources;
    HelloMain hm;
    MenuLoader ml;
    ToolBarLoader tbl;

    try {
      resources = ResourceBundle.getBundle("Menu",Locale.getDefault());
      hm        = new HelloMain();
      ml        = new MenuLoader(resources);
      tbl       = new ToolBarLoader(resources);
      ml.setDefaultActionListener(hm);
      tbl.setDefaultActionListener(hm);
      frame.setMenuBar(ml.createMenuBar("menubar"));
      frame.setLayout(new BorderLayout());
      frame.add("North",tbl.createToolBar("toolbar"));
    } catch (MissingResourceException mre) {
      System.err.println("Menu.properties not found");
      System.exit(1);
    }
  } // end loadGUI

  // methods
  // --- ActionListener ---------------------------------------------
  /** Invoked when an action occurs. */
  public void actionPerformed(ActionEvent e) {
    String cmd = e.getActionCommand();

    if (cmd.equals("exit")) {
      System.exit(0);
    }
    else { // if cmd equals fehler
      Assert.assert(Assert.ENABLED && false);
    } // end if
  } // end actionPerformed

} // end HelloMain

/* ******************************************************************
   end of file
******************************************************************* */
